signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
SignonDaemonNS::DefaultKeyAuthorizer Class Reference

Implements a default key authorizer, which authorizes all given keys. More...

`#include <default-key-authorizer.h>`

Inheritance diagram for SignonDaemonNS::DefaultKeyAuthorizer:
[legend]
Collaboration diagram for SignonDaemonNS::DefaultKeyAuthorizer:
[legend]

## Public Member Functions
| DefaultKeyAuthorizer (SignOn::KeyHandler *keyHandler, QObject *parent=0)
| ~DefaultKeyAuthorizer ()
void | queryKeyAuthorization (const SignOn::Key &key, Reason reason)

## Detailed Description

Implements a default key authorizer, which authorizes all given keys.

Definition at line 41 of file default-key-authorizer.h.

## Constructor & Destructor Documentation

DefaultKeyAuthorizer::DefaultKeyAuthorizer | ( | SignOn::KeyHandler * | keyHandler,
|  | QObject * | parent = `0`
| ) |  |
| explicit

Definition at line 27 of file default-key-authorizer.cpp.

DefaultKeyAuthorizer::~DefaultKeyAuthorizer | ( |  | ) |

Definition at line 33 of file default-key-authorizer.cpp.

## Member Function Documentation

void DefaultKeyAuthorizer::queryKeyAuthorization | ( | const SignOn::Key & | key,
|  | Reason | reason
| ) |  |

Definition at line 37 of file default-key-authorizer.cpp.

The documentation for this class was generated from the following files:

- src/signond/default-key-authorizer.h
- src/signond/default-key-authorizer.cpp